[arch-commits] Commit in geonkick/repos/community-x86_64 (PKGBUILD PKGBUILD)

David Runge dvzrv at archlinux.org
Sat Apr 11 13:19:46 UTC 2020


    Date: Saturday, April 11, 2020 @ 13:19:45
  Author: dvzrv
Revision: 613340

archrelease: copy trunk to community-x86_64

Added:
  geonkick/repos/community-x86_64/PKGBUILD
    (from rev 613339, geonkick/trunk/PKGBUILD)
Deleted:
  geonkick/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |  106 +++++++++++++++++++++++++++++++------------------------------
 1 file changed, 55 insertions(+), 51 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-04-11 13:19:40 UTC (rev 613339)
+++ PKGBUILD	2020-04-11 13:19:45 UTC (rev 613340)
@@ -1,51 +0,0 @@
-# Maintainer: David Runge <dvzrv at archlinux.org>
-
-pkgname=geonkick
-pkgver=1.10.0
-pkgrel=1
-pkgdesc="A free software percussion synthesizer"
-arch=('x86_64')
-url="https://gitlab.com/iurie/geonkick"
-license=('GPL3')
-groups=('pro-audio')
-depends=('cairo' 'gcc-libs' 'glibc' 'hicolor-icon-theme' 'libx11')
-makedepends=('cmake' 'jack' 'libsndfile' 'lv2' 'rapidjson' 'redkite')
-checkdepends=('lv2lint' 'sord')
-optdepends=('jack: for standalone application')
-source=("https://gitlab.com/iurie/geonkick/-/archive/v${pkgver}/$pkgname-v$pkgver.tar.gz")
-sha512sums=('acf9141bfaaf58b7817ccfe6a0ba4cbe1cbdc6d324b49330475cfd353221d18e7a775a7e8051af383fd2cf196079feacc70f3e2570bb37cb9c1b632e5edf6254')
-
-prepare() {
-  mv -v "$pkgname-v$pkgver" "$pkgname-$pkgver"
-}
-
-build() {
-  cd "$pkgname-$pkgver"
-  cmake -DCMAKE_INSTALL_PREFIX=/usr \
-        -DGKICK_REDKITE_SDK_PATH=/usr \
-        -B build \
-        -S .
-  make VERBOSE=1 -C build
-}
-
-check() {
-  cd "$pkgname-$pkgver"
-  LV2_PATH="${PWD}/plugin/lv2" lv2lint "http://geontime.com/geonkick" || echo "Known to fail: https://gitlab.com/geontime/geonkick/issues/144"
-}
-
-package() {
-  depends+=('libsndfile.so')
-  cd "$pkgname-$pkgver"
-  make -C build DESTDIR="$pkgdir/" install VERBOSE=1
-  install -vDm 644 "data/${pkgname}.desktop" \
-    -t "${pkgdir}/usr/share/applications"
-  install -vDm 644 presets/*.gkick \
-    -t "${pkgdir}/usr/share/doc/${pkgname}/presets"
-  for directory in presets/*; do
-    if [ -d "$directory" ]; then
-      install -vDm 644 "$directory/"*.{gkick,gkit} \
-        -t "${pkgdir}/usr/share/doc/${pkgname}/presets/$(basename "$directory")"
-    fi
-  done
-  install -vDm 644 README.md -t "${pkgdir}/usr/share/doc/${pkgname}"
-}

Copied: geonkick/repos/community-x86_64/PKGBUILD (from rev 613339, geonkick/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-04-11 13:19:45 UTC (rev 613340)
@@ -0,0 +1,55 @@
+# Maintainer: David Runge <dvzrv at archlinux.org>
+
+pkgname=geonkick
+pkgver=1.10.0
+pkgrel=2
+pkgdesc="A free software percussion synthesizer"
+arch=('x86_64')
+url="https://gitlab.com/iurie/geonkick"
+license=('GPL3')
+groups=('pro-audio')
+depends=('cairo' 'gcc-libs' 'glibc' 'hicolor-icon-theme' 'libx11')
+makedepends=('cmake' 'jack' 'libsndfile' 'lv2' 'rapidjson' 'redkite')
+checkdepends=('lv2lint')
+optdepends=('jack: for standalone application')
+source=("https://gitlab.com/iurie/geonkick/-/archive/v${pkgver}/$pkgname-v$pkgver.tar.gz")
+sha512sums=('acf9141bfaaf58b7817ccfe6a0ba4cbe1cbdc6d324b49330475cfd353221d18e7a775a7e8051af383fd2cf196079feacc70f3e2570bb37cb9c1b632e5edf6254')
+
+prepare() {
+  mv -v "$pkgname-v$pkgver" "$pkgname-$pkgver"
+}
+
+build() {
+  cd "$pkgname-$pkgver"
+  cmake -DCMAKE_INSTALL_PREFIX=/usr \
+        -DGKICK_REDKITE_SDK_PATH=/usr \
+        -B build \
+        -S .
+  make VERBOSE=1 -C build
+}
+
+check() {
+  cd "$pkgname-$pkgver"
+  cp -av build/plugin/lv2/*.so plugin/lv2/${pkgname}.lv2/
+  lv2lint -I "${PWD}/plugin/lv2/${pkgname}.lv2/" \
+          "http://geontime.com/geonkick" \
+          || echo "Known to fail: https://gitlab.com/geontime/geonkick/issues/144"
+  rm -v plugin/lv2/${pkgname}.lv2/*.so
+}
+
+package() {
+  depends+=('libsndfile.so')
+  cd "$pkgname-$pkgver"
+  make -C build DESTDIR="$pkgdir/" install VERBOSE=1
+  install -vDm 644 "data/${pkgname}.desktop" \
+    -t "${pkgdir}/usr/share/applications"
+  install -vDm 644 presets/*.gkick \
+    -t "${pkgdir}/usr/share/doc/${pkgname}/presets"
+  for directory in presets/*; do
+    if [ -d "$directory" ]; then
+      install -vDm 644 "$directory/"*.{gkick,gkit} \
+        -t "${pkgdir}/usr/share/doc/${pkgname}/presets/$(basename "$directory")"
+    fi
+  done
+  install -vDm 644 README.md -t "${pkgdir}/usr/share/doc/${pkgname}"
+}


More information about the arch-commits mailing list